# Import models for Alembic discovery
# These imports are used by Alembic for migrations
# isort: off

from app.models.user import User
from app.models.question import (
    BibleBook,
    Question,
    QuestionCategory,
    QuestionDifficulty,
    QuestionOption,
)
from app.models.quiz import (
    Quiz,
    QuizAttempt,
    QuizQuestion,
    QuizQuestionAnswer,
)

# Define which models should be available when importing from app.models
__all__ = [
    "User",
    "BibleBook",
    "Question",
    "QuestionCategory",
    "QuestionDifficulty",
    "QuestionOption",
    "Quiz",
    "QuizAttempt",
    "QuizQuestion",
    "QuizQuestionAnswer",
]